Ask Your Question
0

Installing just autoware_msgs from autoware.ai, possible?

asked 2020-05-01 11:13:19 -0600

dr563105 gravatar image

updated 2020-05-01 11:59:56 -0600

Hello!

Is it possible to install only autoware_msgs from the messages directory in autoware.ai repo. The pc uses CUDA 10.2 which goes against the dependencies and also I don't need all other messages.

I tried to cherry pick the msgs inside autoware_msgs and put it as custom messages to my ros2_ws/src directory. I have the Package.xml and CMakeLists.txt linked. I also converted them to reflect ROS2 standards. After building it and locally ros sourcing the project I was able access the msg in ros2 msg list

$ ros2 msg list | grep "lane_"
lane_following_msgs/msg/AccelCmd
lane_following_msgs/msg/BrakeCmd
lane_following_msgs/msg/ControlCommand
lane_following_msgs/msg/ControlCommandStamped
lane_following_msgs/msg/Gear
lane_following_msgs/msg/IndicatorCmd
lane_following_msgs/msg/LampCmd
lane_following_msgs/msg/SteerCmd
lane_following_msgs/msg/VehicleCmd
lane_following_msgs/msg/VehicleLocation

$ ros2 msg show lane_following_msgs/msg/VehicleCmd 
std_msgs/Header header
lane_following_msgs/SteerCmd steer_cmd
lane_following_msgs/AccelCmd accel_cmd
lane_following_msgs/BrakeCmd brake_cmd
lane_following_msgs/LampCmd lamp_cmd
lane_following_msgs/Gear gear_cmd
int32 mode
geometry_msgs/TwistStamped twist_cmd
lane_following_msgs/ControlCommand ctrl_cmd
int32 emergency

$ ros2 topic list
/parameter_events
/rosout
/simulator/camera_node/left/image/compressed
/simulator/camera_node/main/image/compressed
/simulator/camera_node/right/image/compressed
/vehicleCmd

However when I tried to use the VehicleCmd.msg with LGSVL Autoware, ros2-web-bridge, /vehicle_cmd with message type autoware_msgs/VehicleCmd, I wasn't able to send any data. What was I doing wrong?

Any help would be appreciated? Thanks.

Setup -

Ubuntu 18.04.4 LTS, Kernel: 5.3.0-46-generic x86_64, ros-dashing-desktop. CUDA 10.2

$ env |grep ROS

ROS_ETC_DIR=/opt/ros/melodic/etc/ros
ROS_ROOT=/opt/ros/melodic/share/ros
ROS_VERSION=2
ROS_PYTHON_VERSION=3
ROS_PACKAGE_PATH=/opt/ros/melodic/share
ROS_DISTRO=dashing

Pastebin links Package.XML-- https://pastebin.com/G9hdZ6AA CMakeLists.txt -- https://pastebin.com/WbMgEfH5

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2020-05-01 13:03:34 -0600

Josh Whitley gravatar image

The messages repository has been released into the ROS build farm so you can install autoware_msgs as the package ros-melodic-autoware-msgs.

edit flag offensive delete link more

Comments

Thank you. I was able to install. Then to export the library to VS code, I export this path -- /opt/ros/melodic/lib/python2.7/dist-packages?

Since the new distro Noetic is not out yet, will import this msg library, compel me to use python2.7 and ROS1?

dr563105 gravatar image dr563105  ( 2020-05-01 13:40:35 -0600 )edit

Noetic is still ROS 1 - it will likely be the last release of ROS 1. Melodic does not require Python3 but most packages comply with it. However, 2.7 is the supported version for Melodic.

Josh Whitley gravatar image Josh Whitley  ( 2020-05-03 19:17:03 -0600 )edit

BTW, nothing in Autoware.ai is compatible with ROS2. Autoware.Auto is built on ROS2.

Josh Whitley gravatar image Josh Whitley  ( 2020-05-03 19:19:56 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2020-05-01 11:06:25 -0600

Seen: 826 times

Last updated: May 01 '20